function [basis,split,value] = BestBalancedTree(ctree,D)

        L = D+1;
        m = 2^L -1;
	
	value = repmat(Inf,[L L m]);
	basis = value; 	split = value;
	for b = 0:(2^D-1),
	  value(L,L,node(D,b)) = ctree(1,1,node(D,b)); 
	  basis(L,L,node(D,b)) = 0;
	end
		
	for s=D-1:-1:0,
	   for b=0:(2^s-1),
	     S1 = [s s; (s+1) s; s (s+1)];
	     S2 = [(s+1) (s+1)]; S =  [S1; S2];
	     for l=s:D,
	       for r=s:D,
		 ind = (s+1:D);
		 [vchild,sopt] = min(value(l+1,ind+1,node(s+1,2*b)) + ...
				 value(ind+1,r+1,node(s+1,2*b+ ...
						      1)).');
		 sopt = sopt + s + 1; 
		 
		 if (ismember([l r], S, 'rows'))
		   vparent = ctree(l-s+1,r-s+1,node(s,b));
		 end
		 
		 if (ismember([l r], S1, 'rows'))
		   value(l+1,r+1,node(s,b)) = vparent;
		   basis(l+1,r+1,node(s,b)) = 0;
		 elseif (ismember([l r], S2, 'rows'))
		   if(vparent <= vchild),
				  basis(l+1,r+1,node(s,b)) = 0;
				  value(l+1,r+1,node(s,b)) = vparent;
			else
				  basis(l+1,r+1,node(s,b)) = 1;
				  split(l+1,r+1,node(s,b)) = sopt;
				  value(l,r,node(s,b)) = vchild;
			end 
		 else
		   value(l+1,r+1,node(s,b)) = vchild;
		   if ~(vchild == Inf)
		     basis(l+1,r+1,node(s,b)) = 1;
		     split(l+1,r+1,node(s,b)) = sopt;
		     end
		 end
		 end
	     end 
	     end
	end
	
	     
	
	
% Copyright (c) Emmanuel Candes and Hannes Helgason, California Institute of Technology, 2007
